AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ICredentials

## Index

### Properties

- accessKeyId
- authenticated
- identityId
- secretAccessKey
- sessionToken

## Properties

### accessKeyId

accessKeyId: string

- Defined in aws-amplify/src/Common/types/types.ts:12
- Defined in core/src/types/types.ts:10

### authenticated

authenticated: boolean

- Defined in aws-amplify/src/Common/types/types.ts:16
- Defined in core/src/types/types.ts:14

### identityId

identityId: string

- Defined in aws-amplify/src/Common/types/types.ts:15
- Defined in core/src/types/types.ts:13

### secretAccessKey

secretAccessKey: string

- Defined in aws-amplify/src/Common/types/types.ts:14
- Defined in core/src/types/types.ts:12

### sessionToken

sessionToken: string

- Defined in aws-amplify/src/Common/types/types.ts:13
- Defined in core/src/types/types.ts:11